Subject: bug#41222: 27.1; Auto-resizing of images in image-mode

From: Alan Third <[email-masked]>
Date: Fri, 15 May 2020 07:28:34 +0100

On Fri, May 15, 2020 at 01:39:55AM +0300, Juri Linkov wrote:
> >> I noticed that image-mode still lacks one needed command:
> >> some image viewers have a menu item titled “Normal Size C-0” or
> >> “Original Size C-0”.  Here's is the patch that implements it:
> > <snip>
> >> +	["Original Size" image-transform-original
> >> +	 :help "Reset image to original size"]
> >
> > Hi Juri, this looks good to me, but I’m not sure about saying
> > "original size", as that may be mistaken for meaning the size it was
> > when it was loaded the first time.
> 
> It seems the correct term for the size of the image loaded the first
> time would be "initial size"?  Hmm, actually, the docstring of
> 'image-transform-reset' says the correct term for the initial size is
> "default size".
> 
> > Perhaps "actual size"? It’s not great, but I think less open to
> > interpretation than "original".
> 
> I don't know, some programs use "original size", some "normal size":

If you're happy enough it won't be a problem I won't argue. :)
-- 
Alan Third